Last Comment Bug 724213 - complete UI from bug 644169 by providing a right click toolbar option for "tabs on top"
: complete UI from bug 644169 by providing a right click toolbar option for "ta...
Status: RESOLVED WONTFIX
[parity Firefox][gs]
:
Product: Thunderbird
Classification: Client Software
Component: Toolbars and Tabs (show other bugs)
: 11 Branch
: All All
: -- normal with 26 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
http://getsatisfaction.com/mozilla_me...
: 737900 (view as bug list)
Depends on: tb-tabsontop
Blocks: tabsmeta
  Show dependency treegraph
 
Reported: 2012-02-03 23:27 PST by Matt
Modified: 2015-04-14 14:19 PDT (History)
35 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Matt 2012-02-03 23:27:04 PST
Bug 644169 institutes toolbars on Top like Firefox.

Firefox has a UI by right clicking the toolbar and selecting toolbars on top.  It is critical to the user acceptance of this UI change that they be offered a choice.  Just as the Firefox team offered a choice.

The current solution is modifying userchrome.css is fine for the tech savy.  Unfortunately the user base is neither tech savy nor all that embracing of change.

As Firefox only had a 92% retention of the feature, it stands to reason that this change will upset 8% of the user base http://blog.mozilla.com/metrics/2010/09/14/heatmap/

We already have plenty to do over at get satisfaction without this feature NOT having a UI. switch.
Comment 1 Jim Porter (:squib) 2012-02-04 00:11:28 PST
mconley, bwinton: I'll let you make the final call on this, but my recollection is that we're most certainly *not* doing this, since the amount of effort required far outstrips any benefit from it.
Comment 2 rsx11m 2012-02-04 09:47:20 PST
Clarifying the title a bit. The suggestion that no developer currently wants to spend time to implement it doesn't imply that it shouldn't (or couldn't) be done. The assessment "outstrips any benefit" is rather subjective/speculative at this time, given that tabs on top hasn't even hit the release channel yet.
Comment 3 Magnus Melin 2012-02-05 22:32:31 PST
rsx11m: agreed
Comment 4 Lee_Dailey 2012-02-05 22:46:59 PST
howdy y'all,

the concept of putting the application menu _inside_ a tab is ... bizarre beyond belief - to me at least. from the screenshots in bug 644169 it seems that is what you have done. i confess i have not yet worked up the courage to try tbird 11 and see what it looks like in real life. [*blush*] 

the ability to put the tabs on top is nifty and i want it there for those for whom it works. i also want to be able to configure tbird to work the way _i_ want it, not the way _you_ [or your grandmother or your budgie] want it.

configurability is one of the great benefits of mozilla apps. taking that away makes one seriously consider giving up and going strictly with webmail. [*sigh ...*] 

please, add the ability to configure the tab bar location. 

take care,
lee
Comment 5 Mike Conley (:mconley) 2012-02-06 16:08:52 PST
Hey all,

So I'm going to talk a bit about the decision to move tabs in Thunderbird above the mail toolbar - and, more specifically, the decision to leave the UI toggle to move the tabs back to below the toolbar out.

When it comes to UI stuff, I can get pretty hand-wave-y and long-winded. In a departure from this, I'm going to try to be succinct here - please don't interpret this as rudeness or brusqueness! :D

In Firefox, you have a back button, a forward button, and a URL bar to tell you where you are. With these rudimentary tools, the toolbar is easily generalizable to the act of navigation. This works for Firefox, because this is what Firefox *is* - a tool for navigating around the web.  A high percentage of the things that you can do in Firefox involve navigation. Even in the Add-ons Manager, or Bookmarks Manager, the browser toolbar could make sense as a navigation interface (though we don't seem to make those available - in fact, in the Add-ons Manager, we've created *new* back and forward buttons for navigation).

Where the browser toolbar *doesn't* make sense, is in a place where navigation has less meaning.  I'm going to pick on the Downloads Manager, for example.  Firefox does not have the browser toolbar as part of the Downloads Manager, and outside of an add-on, such a customization is not really possible.

The reasoning behind this is obvious - having a back/forward/URL tools in the Downloads Manager makes very little sense.

So, the conclusion we can draw from this is:  a shared toolbar makes sense in contexts that share the primary activity of that toolbar.  This is why Firefox can get away with tabs-on-bottom for most of their UI.

Now, on to Thunderbird.

The rationale behind tabs-on-top in Thunderbird is somewhat different from Firefox's.  In Thunderbird, a tab can be many other things than just another Inbox tab.

Lightning, for example, gives us a tab that becomes a full-blown Calendering client. Unfortunately, they've had to deal with tabs-on-bottom, and have therefore been forced to shoehorn Calendering UI into the mail toolbar. If you've used Lightning, you know what I'm talking about.

This is not unique to Lightning.  When viewing a content tab in Thunderbird, the mail toolbar above the content really makes very little sense - just like having the browser navigation bar in the Downloads Manager would make very little sense.

This is also quite restrictive.  Thunderbird's UI trajectory is tending towards more tab types (Search, Instant Messaging, eventually Compose in a tab, eventually Address Book in a tab).  Having the toolbar exist *within* the tabs allows us a separation between these functions - and allows for a greater degree of customization *within* those tabs.

So I don't think it's fair to say that preventing tabs-on-bottom is making Thunderbird less configurable. On the contrary, I suggest that enforcing tabs-on-top is an investment that *ensures* greater flexibility and customization in the future.

All the best,

-Mike
Comment 6 Matt 2012-02-09 13:59:32 PST
(In reply to Mike Conley (:mconley) from comment #5)
> Hey all,

> 
> So, the conclusion we can draw from this is:  a shared toolbar makes sense
> in contexts that share the primary activity of that toolbar.  This is why
> Firefox can get away with tabs-on-bottom for most of their UI.
> 
> Now, on to Thunderbird.
> 
> The rationale behind tabs-on-top in Thunderbird is somewhat different from
> Firefox's.  In Thunderbird, a tab can be many other things than just another
> Inbox tab.

Write is something I expect to be able to do from anywhere in the application.  I have my email application running.  It is totally unreasonable that the process of writing an email should be more than one click away. With Tabs on top, there is no write button unless I change to "another inbox tab".

Fundamentally Thunderbird is about reading and writing mail. Why remove one of the most used buttons?  
> 
> Lightning, for example, gives us a tab that becomes a full-blown Calendering
> client. Unfortunately, they've had to deal with tabs-on-bottom, and have
> therefore been forced to shoehorn Calendering UI into the mail toolbar. If
> you've used Lightning, you know what I'm talking about.
 
> This is also quite restrictive.  Thunderbird's UI trajectory is tending
> towards more tab types (Search, Instant Messaging, eventually Compose in a
> tab, eventually Address Book in a tab).  Having the toolbar exist *within*
> the tabs allows us a separation between these functions - and allows for a
> greater degree of customization *within* those tabs.
> 
> So I don't think it's fair to say that preventing tabs-on-bottom is making
> Thunderbird less configurable. On the contrary, I suggest that enforcing
> tabs-on-top is an investment that *ensures* greater flexibility and
> customization in the future.

But it still detracts from the basic mail functionality.  Perhaps if all these tabs and toolbars were truly configurable then this would be true. They are not. So depending on the tab I am in a get a crippled version of a mail application at the expense of a functional lightning toolbar.  I have to leave add-ons to click write. 

This is a continuation of the toolbar shoe horned onto a huge mail header that really serves no purpose 90% of the time. It was a bad decision way back and still is.

By all means try out new UI,  completely rebuilt it and I would probably be happy, because a full redesign would more than likely take usability in to account. This design is about convenience not usability. 

I accept that many of the functions on the toolbar are mail specific, and if every 'tab type' had a toolbar that contained a write and get mail function, I probably would not be as pushy.  But they don't.   Perhaps the answer is to use the tab bar as a toolbar as lightning does. Or move some of this basic functionality into the treeview and make is a permanent fixture on the right, as Outlook does.
 
> All the best,
> 
> -Mike

But it still leaves the several million people who are likely to upset about the change when TB11 hits the streets.  What would you have support do with them? Is there a blog post like Firefox used to explain the change,  and explain to them why their Thunderbird UI has changed so, for basically no reason except provision for future change?

Compose in a Tab is *dead*.  It has received no real attention for more than a year bug 449229 , Bug 457270 for address book in a tab does not look much more active. This change probably should have appeared *with* those two bugs ie we changed to ui to allow for the introduction of a couple of major new features.
Comment 7 rsx11m 2012-02-11 20:06:51 PST
Re your last point in comment #6, the argumentation for not approaching compose in a tab and address book in a tab has been that tabs on top isn't available yet, so to that extent this is in line with introducing new tab types. However, while some users will utilize such features, other won't care and prefer the composition in a separate window (not being able to do so from a content tab would be covered by the discussion in bug 725507, though not explicitly listed there).

The main question is why introduction of new tab types requires that a tab-below option cannot be provided any more. The simple solution would be to just not offer "x in a tab" when the user has selected tabs below the toolbar and the feature doesn't support that (thus would open in a separate window as before). This could be conveyed in the preferences UI by disabling these option dependent on the "Tabs on top" option being enabled or not.
Comment 8 Maxime Thépault 2012-03-14 00:22:24 PDT
Hi,

I have updated my Thunderbird to 11 version and... there is a problem with tabs :

There are on the top, and I don't want it. It is a pure waste of time for me, because I use very often tabs, and if it's "far" it's not very useful.

Please, as Firefox, keep the choice, it's very important for many users.

If we can't choose to set Tabs Bar at the bottom, I think a part of users will uninstall Thunderbird (and me too).

Thank you for your help.
Comment 9 Maxime Thépault 2012-03-14 00:50:09 PDT
Hum... I have forgotten one thing : thank you for your work, I admit for the moment Thunderbird is a good alternative to Outlook.
Comment 10 Lupin 2012-03-14 01:01:25 PDT
Please allow disabling the tabs on top "feature", as it is in Firefox.
Comment 11 hg 2012-03-14 01:47:00 PDT
If, as it looks, this unwanted change is now set in stone, at least in future versions, as suggested above, provide a disable/enable option as in Firefox.

I am a general, if tech aware, user, and to foist something like this on the general userbase is, for the first time since I started using TB at v2, enough for me to seriously consider switching to another product. I have always had the full Outlook client available, so TB is, and always has been, a choice for me.
Comment 12 Gian-Carlo Pascutto [:gcp] 2012-03-14 02:36:03 PDT
>the concept of putting the application menu _inside_ a tab is ... bizarre beyond 
>belief

I have to agree here. Note that Firefox does not do this! It makes sense to move the toolbars inside tabs, because they're contextual. The menu is not.

(The *only* advantage it has is that you can now actually *read* the text in the menu because its is black on light grey, instead of black-on-your-desktop-background.)
Comment 13 Magnus Melin 2012-03-14 03:50:17 PDT
(In reply to Gian-Carlo Pascutto (:gcp) from comment #12)
> >the concept of putting the application menu _inside_ a tab is ... bizarre beyond 
> >belief
> 
> I have to agree here. Note that Firefox does not do this! It makes sense to
> move the toolbars inside tabs, because they're contextual. The menu is not.

+1, filed bug 735622.
Comment 14 Lothar Albrecht 2012-03-14 11:55:50 PDT
I totally agree, flexibility of the UI is quiet important for me also, please allow "disable tabs on top" as an option, since we´re used to it over a long period... The argument that a tab can be more than an other Inbox, it could be Lightning for example, is irrelevant, since the content shouldn´t affect the position in any way...

Please!!!
Comment 15 Underpass 2012-03-14 13:55:06 PDT
Please add the option to disable this feature. Thanks.
Comment 16 RM 2012-03-14 15:03:28 PDT
Thanks for all you do.
LONG-TIME TB user here (from the days of Netscape Mail!).

Having made the change to tabs on top without telling end-users and without providing the option to disable it is arguably the WORST decision I've seen in the otherwise solid development of the software.
It is much more than an inconvenience.
Rather, it may well be a deal breaker for me.

PLEASE, PLEASE allow a disabling of "tabs on top".

Thank you very much.
Comment 17 Nicolai Ehemann 2012-03-14 16:02:49 PDT
This change is absolutely taking the second (third, fourth...) step before the first. You should have thought about global buttons before moving the global toolbar and menu into a tab. Having a never changing menu in a tab is senseless. Having no place where global buttons can go is also. There are (aside from the 'create new message') dozens, if not hundreds of extensions that add a global button that now is only visible in the inbox tab.

You should really fix this. Fast. 

That said: I think the idea to have a contextual toolbar below the tabs is good, but the ui requires a lot more work for the whole thing to work out. At the moment, it is a real mess, and every second extension (including lightning) make it worse, because there is no concept how and where extensions should put their controls.
Comment 18 Kid 2012-03-14 21:38:03 PDT
After seeing how tabs are with version 11 and the main button functions moved, I immediately went back to 10.0.2 and will stay there until tabs are restored as they were, or at least the option to have tabs the way I want to use tabs.  

Not having access to the buttons always used in an email client no matter what you might be viewing at the time is unacceptable.  When it becomes inconvenient to reply to an email or forward it or compact my folders, it's time to look for another email client.  And I've been a devoted user and defender of Thunderbird since it's earliest versions.
Comment 19 red50 2012-03-14 23:04:04 PDT
I fail to see what the content of the window has to do with whatever elements are over it in the structure of the window itself.  The tab bar is still visible and so is the toolbar, and if the OS is not Mac OS, the menu bar is over the toolbar.  It makes more sense to me to have the tab bar under the toolbar.
Comment 20 Wayne Mery (:wsmwk, NI for questions) 2012-03-15 05:35:19 PDT
I am sympathetic to the pain of change.  However, in this area I think we need only one way to do things. Whether it's tabs on top, or bottom - on choice, no option.  For the sake of simplicity I'll advocate the former as follows...

- While it's instructive to learn from firefox, I don't think a straight up comparison of firefox to thunderbird is necessarily valid in this case. (as mconley points out) And I think it was Bryan who said it more than once, it's OK to not always be like firefox if it (whatever "it" is) gets in the way of making thunderbird work better for email+communications.  Parity isn't necessarily in our best long term interest.

- I'd just as soon we *not* have two different possible UI alignments/placements for tabs (i.e. not have a choice): 
* more code to break and test
* more complications for addon developers
* more documentation and pictures to maintain
* more things those of us who do support must know about when supporting users in support forums 

Therefore, I suggest we listen to what people say doesn't work well for tabs on top, file bugs, fix them, add whatever polish helps complete the feature (and perhaps tabs in general), and do so quickly - not 2 or three releases from now.  I am not in favor of offering users an option.
Comment 21 rsx11m 2012-03-15 08:22:15 PDT
So, as an excessive interpretation of the itemized list in your comment #20, there shouldn't be any choice for any feature as any configuration option that may present alternative UI increases complexity of the code and its consequences. Thus, compose in a tab or address book in a tab should become mandatory as well? When is a feature "worth" being configurable, where do you set this threshold?

While I certainly see both sides of the coin, I still think that implementing a restricted "tabs below toolbar" option as proposed in comment #7 should be feasible as a target for /this/ bug and satisfy the requests made here and in the forum threads. So, offer a mail-bar3 which is always the same in the 3-pane window and disable any "x in a tab" options under the assumption that such a user would also like to see traditional windows for composition and address book as well. Thus, except for that single additional case, no need to consider and test for other uses of tabs below toolbar as they are disallowed by that choice.
Comment 22 Jim Porter (:squib) 2012-03-15 09:26:54 PDT
(In reply to rsx11m from comment #21)
> So, offer a mail-bar3 which is always the same in the 3-pane window and disable any "x in a
> tab" options under the assumption that such a user would also like to see traditional
> windows for composition and address book as well.

Are you looking for an option for people who want to avoid tabs *entirely*? That already (mostly) works by setting mail.tabs.autoHide to true. It doesn't totally disable tabs, since you'll still get gloda searches opening in a tab, but it will hide the tab bar when there's only one tab.
Comment 23 rsx11m 2012-03-15 09:32:19 PDT
(In reply to Jim Porter (:squib) from comment #22)
> Are you looking for an option for people who want to avoid tabs *entirely*?

No, and I'm aware of the mail.tabs.autoHide preference. I'd see tabs below toolbar preferred for users who may want to open individual folders or messages in a tab but keep composition in a separate window (frequently useful when you copy-paste content or simply want to keep one or more messages visible for reference). There are levels of usage between "all" and "nothing" which constitute valid use cases.
Comment 24 Jim Porter (:squib) 2012-03-15 09:50:25 PDT
(In reply to rsx11m from comment #23)
> No, and I'm aware of the mail.tabs.autoHide preference. I'd see tabs below
> toolbar preferred for users who may want to open individual folders or
> messages in a tab but keep composition in a separate window (frequently
> useful when you copy-paste content or simply want to keep one or more
> messages visible for reference).

How does tabs-on-bottom help this use case out in ways that a Thunderbird button wouldn't? "Write" and "Address Book" are the only buttons that aren't available pretty much everywhere*, and they'd almost certainly get put into the Thunderbird button. Gloda search is also unavailable from chrome/content tabs and tabs defined in extensions, but I don't think that falls under your use case, since you can't open a Gloda search in a new window anyway.

I really think it would be less work (and maintenance) to try to handle these use cases with the Thunderbird button, since that's still planned. Mconley mentioned that the code to toggle tabs-on-top in Firefox was truly horrific, and if we can address the use cases people have through other means, I see no reason to add a pref for this.

* Even then, they're available in all message tabs, so most of our bases are covered.
Comment 25 rsx11m 2012-03-15 09:59:35 PDT
If you think so, I don't (and what does the Thunderbird button have to do with it which won't be available on all platforms anyway and just replace the menu bar?).
Comment 26 Wayne Mery (:wsmwk, NI for questions) 2012-03-15 10:18:28 PDT
(In reply to rsx11m from comment #21)
> So, as an excessive interpretation of the itemized list in your comment #20,
> there shouldn't be any choice for any feature as any configuration option
> that may present alternative UI increases complexity of the code and its
> consequences. Thus, compose in a tab or address book in a tab should become
> mandatory as well? When is a feature "worth" being configurable, where do
> you set this threshold?

well, it's always a judgement call of course. :)  That said, I'm inclined to agree with and go in the direction of simplicity.  And to ammend and put in context my comment 16 "I am not in favor of offering users an option [in this case]."


> While I certainly see both sides of the coin, I
> still think that implementing a restricted "tabs below toolbar" option as
> proposed in comment #7 should be feasible as a target for /this/ bug and
> satisfy the requests made here and in the forum threads. 

just because something is feasisble doesn't mean ...


Let it be known, I have no interest in the UI specific aspects of this issue (or almost any UI issue for that matter), except where it makes life hard for users. And from my recently installed v11 in a clean profile, I don't see where life is hard. I guess I am missing the pain point(s).  Is there a picture somwhere?
Comment 27 Steven 2012-03-15 19:21:22 PDT
I like the idea of tabs above the button bar, seems to fit context better and allows more variation of those button bars (though I don't envy those who customise there button bars having to replicate there customisation for every new type of tab). 

I am however struggling with the application level menu's context being per-tab, when none of the functionality operates on a tab-level.  Tabs are meant to be a logical step away from running everything in a separate window. By placing tabs above everything else the logical step is reduced to such an extent, as to nearly remove the entire point of tabs.

If the only known way to implement the toggle for tabs on top is a crude hack, are there better ways worth investigating, (e.g. allowing the tab bar to be part of the 'Customise Toolbar' configuration).
Comment 28 Blake Winton (:bwinton) (:☕️) 2012-03-15 19:26:01 PDT
(In reply to Steven from comment #27)
> I like the idea of tabs above the button bar, seems to fit context better
> and allows more variation of those button bars (though I don't envy those
> who customise there button bars having to replicate there customisation for
> every new type of tab). 

This is a good point, do you have any ideas on how we could make it easier for them?

Thanks,
Blake.
Comment 29 Jim Porter (:squib) 2012-03-15 22:55:54 PDT
(In reply to Blake Winton (:bwinton - Thunderbird UX) from comment #28)
> (In reply to Steven from comment #27)
> > I like the idea of tabs above the button bar, seems to fit context better
> > and allows more variation of those button bars (though I don't envy those
> > who customise there button bars having to replicate there customisation for
> > every new type of tab). 
> 
> This is a good point, do you have any ideas on how we could make it easier
> for them?

If we're talking about the mail toolbar tab that appears on top of the 3pane, message tab, and gloda list tab (the "2pane"), those customizations are already carried over. Likewise if you customize the message header tab: those customizations are applied to both the 3pane and the message tab.
Comment 30 Matt 2012-03-16 00:45:10 PDT
(In reply to Jim Porter (:squib) from comment #29)
 Likewise if you customize the message header tab:
> those customizations are applied to both the 3pane and the message tab.

Except when the message header is compacted, as mine is 90% of the time.  I still fail to even comprehend the purpose of that space wasting header.

Unless I compact the header, mails from Mozilla lists give at most 2 lines with preview (my main mail reading experience) This frustration is exacerbated by Thunderbirds apparent inability to scroll just one line. So without compact header, Thunderbird is about as useful as a mail reader as Microsoft Excel as a word processor.
Comment 31 Marco Di Fresco 2012-03-16 01:06:38 PDT
I am landed on this bug because I have upgraded to TB 11 just few minutes away and regrettably as soon as I opened it I started to search how to disable this feature.

I have subscribed my self to this bug so I can see if there is any update for it, but in the meanwhile I guess that downgrading is the only viable option. :(
Comment 32 Peter Eff 2012-03-16 01:59:32 PDT
The new tab layout might make sense, if the menubar changes within the tabs. This is currently not the case.

I would really prefer a switch to get the tabs below the menubar. IMHO the menubar is more global than the tabs, so the menubar should be above the tabs.

If this changes (tab-dependent menus), it would make sens to switch the layout. But this could be easily be done by the user.

My suggestion: Provide a switch to choose the layouts and for the next change like that: Open a dialog to ask the user, if s/he wants to change to the new layout (including live switching while the dialog is open).

Thanks!
Comment 33 rsx11m 2012-03-16 07:56:44 PDT
(In reply to Peter Eff from comment #32)
> I would really prefer a switch to get the tabs below the menubar.

Note that per comment #13, this issues has been spun off to bug 735622, and there is also bug 736094 on this subtopic.
Comment 34 Jerry Dallal 2012-03-19 05:26:52 PDT
I would like tabs to be as in TB10. I'm off to install the Enterprise version 10 for the short term. When developers make a fundamental change like this, forcing people to consider whether to stay with the new version, it's not just about staying with the older version. To stay current in terms of features, OTHER PROGRAMS become the ONLY way to go.
Comment 35 Tony 2012-03-20 06:06:20 PDT
Firstly I really appreciate everyone's hard work on Thunderbird
Now the whinge.
Please if you intend to make changes, allow us users to choose if we want them.
Microsoft forces us, Linux frees us.
Thank you, Tony I.T. technician for 26 years
Comment 36 Blake Winton (:bwinton) (:☕️) 2012-03-20 07:36:00 PDT
You can!  Just install the "Rise of the Tools" add-on from https://addons.mozilla.org/thunderbird/addon/rise-of-the-tools/, and the toolbar should be back above the tabs!

(Or wait a couple of weeks, and see if you get used to it.  Or wait for a while longer, and someone might implement this feature. :)

Later,
Blake.
Comment 37 Roland Tanglao :rolandtanglao 2012-03-21 09:43:49 PDT
*** Bug 737900 has been marked as a duplicate of this bug. ***
Comment 38 Siyivan 2012-03-21 09:57:44 PDT
> You can!  Just install the "Rise of the Tools" add-on from
> https://addons.mozilla.org/thunderbird/addon/rise-of-the-tools/, and the
> toolbar should be back above the tabs!

Is that the official answer? What about reviewing that addon, then?
Comment 39 Blake Winton (:bwinton) (:☕️) 2012-03-21 10:02:59 PDT
(In reply to Siyivan from comment #38)
> > You can!  Just install the "Rise of the Tools" add-on from
> > https://addons.mozilla.org/thunderbird/addon/rise-of-the-tools/, and the
> > toolbar should be back above the tabs!
> Is that the official answer?

No, it's the current workaround.

> What about reviewing that addon, then?

I'm not an add-on reviewer, sadly.

Later,
Blake.
Comment 40 Tony 2012-03-21 11:31:39 PDT
Rise of the tools seems to do the job nicely on PClinuxOS, many thanks for info.
Comment 41 ana 2012-03-24 13:03:55 PDT
I have managed to move the tabs under the menu but they are still above the task bar. I have tried to get used to this but I really find it hard to find the "inbox" tab, so far away from the email I am reading. 
Thunderbird is an email client. This move seems to me, from reading this thread, that means Thunderbird is being turned into a program that does something different, and email will no longer be primarily an email client.

Those of us who want just an email client seem to be left with no option but to look elsewhere, unless we are give more choice as to where to put our tabs.

Tanks for the great work otherwise.
Comment 42 Henrik Levkowetz 2012-04-02 02:27:41 PDT
I've successfully installed 'Rise of the Tools' to get back to something
which resembles the tab positioning in Thunderbird 10.  However:

I don't understand why the recent 3 or 4 releases of Thunderbird and
Firefox has led to features on which I rely disappearing, necessitating the
installation of more and more add-ons in order to recover what used to be
part of the standard install.  Tabs shifting up above the toolbar -- I don't
really care about *any* rationale the developers have why this is good --
it's just not good for *my* workflow, and practicality should beat purity
any day.

The loss of the Firefox status bar at the bottom of the window, the new
Firefox URL display which flutters in and out of view, distracting me from
the content, thing after thing is tweaked for what seems to be principles
rather than care for the users.  I've been using what was once the best
browser and email agent for years, since Firefox was Phoenix, and before
Thunderbird went 1.0, and now I find myself actively looking for replacements
because with every release, something I rely on gets tweaked to the worse or
break.

Yes, there are improvements too.  But if you have to tweak the user
interface, don't be so fascistic about it -- as developers, you know more
about the internals of the program, but you *don't* know more about what the
users prefer than the users do.  The move of the tabs in Firefox was a
mistake, but was mitigated by the option to restore the placement.  The move
in Thunderbird without the option to restore them is over the top.

Do you actively want to drive your users to alternative tools??
Comment 43 Charles 2012-04-02 03:07:29 PDT
+10

Major UI changes (like this one) should *always* have a period where it is *optional* - which means, the old style should be available as an option to easily switch back to. Maybe a way could be integrated with the 'Usage Stats' option now available to tell the devs how many people are using the new interface and how many are using the old - then  they could use *that* real world data as evidence in support of an argument to totally *remove* the old style - or to remove the *new* style - or even to keep both as options.

I sincerely dislike attempts to force me to change 'for my own good', and every change like this that forces me to search for an addon (that always seems to magically appear, meaning I am very far from alone in disliking the new style) just makes it more and more complicated to keep things the way *I* want them.

I now have a total of 4 Addons whose sole purpose is to fix changes that I didn't like. Once I upgrade our users to the next ESR version, this will be another extension I have to install/maintain (unless the option is provided natively by then), and hope/pray that the Addon maintainer continues to maintain it over time.
Comment 44 Jerry Dallal 2012-04-02 04:39:08 PDT
(In reply to Henrik Levkowetz from comment #42)
> 
> Do you actively want to drive your users to alternative tools??

I wonder how many new users came to TB because the tabs were moved to the top.  Certainly many were or will be lost.  (I'm staying because I can go back to TB10.)
Net gain from change?  Negative.  Users lost?  Those who influence others.
Comment 45 red50 2012-04-02 11:56:38 PDT
Mike Conley's point about Firefox having separate windows for dialogs with different interfaces simply drives home the idea about leaving such things as separate windows.  It makes no sense to try to cram other windows (such as calendar or address book) into the Thunderbird main window, which is geared to dealing with mail and newsgroups.
Comment 46 Oliver Mulatz 2012-04-03 02:57:58 PDT
I am also the opinion the fellow developers should not force this change upon the users. Unless it shows in the FAQ/docs/changelog with link to  https://addons.mozilla.org/en-US/thunderbird/addon/rise-of-the-tools/
and in new installation guide how to select the tab positioning via this addon.
Comment 47 David E. Ross 2012-04-04 10:03:17 PDT
I use Thunderbird with [View > Layout > Wide View].  The menu bar has
functionality that applies to Thunderbird over all (e.g., [Tools >
Options]) and to the current account in the folders pane (e.g., [Tools >
Account Settings]).  The tool bar has functionality that applies to the
current account in the folders pane (e.g., Stop), to a specific folder
in the folders pane (e.g., Write for newsgroups, [Mark > All Read]), and
to threads in the headers pane (e.g., Next).

However, the tab bar only applies to the current message in the message
pane.  Thus, the tab bar should appear just above the message pane.
Comment 48 Will Pittenger 2012-04-04 13:41:56 PDT
Sorry, David.  But my toolbar has both mail and calendar stuff on it.  I have seen nothing that changes the toolbar based on the current tab.  Hence, this should at least be an option controlled through the View menu.
Comment 49 Chris Ilias [:cilias] 2012-04-12 12:30:17 PDT
Changing target milestone. This obviously didn't make it into tb11. :)
Comment 50 Blake Winton (:bwinton) (:☕️) 2015-04-02 08:18:12 PDT
I don't see us fixing this bug, or accepting a patch that fixes it.  Thunderbird doesn't have the resources to maintain both versions of this code, and people who really want tabs on the bottom can install an extension that changes the behaviour.

Note You need to log in before you can comment on or make changes to this bug.